Subject: Re: Catching g++ error output
From: [email-masked] ("Mikey")

18 Apr 1997 17:09:33 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "James Paul Morgan" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

make 2>&1 |tee errors.txt

or make 2>&1 |tee -a errors.txt            (to append to errors.txt)

or replace make with gcc -c -o@ @ above.

> 
> Is there any way to capture the error output from g++ when it fails on a 
> compile?  Sometimes, a few simple typos or minor bugs can generate more 
> than a screen-full of output, and so I loose the earliest lines.  
> 
> On UNIX w/ Xwindows, I can just scroll back within the window.  But 
> Windows95 doesn't have that option.  I've tried using '>' to dump it into

> a file, but that didn't work.  (I didn't expect it to as it doesn't on 
> UNIX, but I figured I'd try.)  
> 
> Any suggestions of some way to manipulate the bash or possibly an add-on 
> I could download or some simple trick I've just missed would be
appreciated.
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".